Groovy Documentation

## org.codehaus.groovy.vmplugin.v5
[Java] Class Java5

    java.lang.Object
      org.codehaus.groovy.vmplugin.v5.Java5

All Implemented Interfaces:
  VMPlugin

    public class Java5
    extends java.lang.Object

java 5 based functions

Authors:
  Jochen Theodorou

Method Summary
`void` | `configureAnnotation(AnnotationNode node)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`java.lang.Class[]` | `getPluginDefaultGroovyMethods()`
`java.lang.Class[]` | `getPluginStaticGroovyMethods()`
`void` | `invalidateCallSites()`
`void` | `setAdditionalClassInformation(ClassNode cn)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureAnnotation

    public void configureAnnotation(AnnotationNode node)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public java.lang.Class[] getPluginDefaultGroovyMethods()

### getPluginStaticGroovyMethods

    public java.lang.Class[] getPluginStaticGroovyMethods()

### invalidateCallSites

    public void invalidateCallSites()

### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode cn)

Groovy Documentation